.modal {
  display: none; /* Ocultar inicialmente */
  position: fixed;
  z-index: 1000;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.4); /* Fondo semitransparente */
}

.modal-content-me {
    background-color: #fff;
    margin: 5% auto;
    padding: 10px;
    border-radius: 8px;
    max-width: 800px; /* Aumenté el ancho máximo */
    width: 95%;
    display: flex;
    flex-direction: column;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    animation: fadeIn 0.3s ease-in-out;
}

/* Encabezado */
.modal-header {
  text-align: center;
  background: #e1251b;
  color: #fff;
  font-size: 20px;
  padding: 10px;
  border-radius: 5px 5px 0 0;
}

/* Enlaces */
.modal-links {
  padding: 15px;
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.modal-link {
  font-size: 16px;
  color: #333;
  text-decoration: none;
  cursor: pointer;
  transition: color 0.3s;
}

  .modal-link:hover {
    color: #e1251b;
  }

/* Footer */
.modal-footer {
  text-align: center;
  margin-top: 20px;
}

.span-inicio-sesion {
  background-color: #e1251b;
  color: #fff;
  padding: 10px 20px;
  border-radius: 5px;
  cursor: pointer;
  display: inline-block;
}

  .span-inicio-sesion:hover {
    background-color: #b01c15;
  }

/* Responsividad */
@media (max-width: 768px) {
  .modal-content-me {
    background-color: #fefefe;
    margin: 5% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 88%;
  }

  .modal-header {
    font-size: 18px;
    padding: 8px;
  }

  .modal-link {
    font-size: 15px;
  }

  .span-inicio-sesion {
    font-size: 14px;
    padding: 8px 15px;
  }
}

/* Animación de aparición */
@keyframes fadeIn {
  from {
    opacity: 0;
    transform: translateY(-10px);
  }

  to {
    opacity: 1;
    transform: translateY(0);
  }
}
/* Asegúrate de que el body ocupe al menos el 100% de la altura de la ventana */
html, body {
  height: 120%;
  margin: 0;
  display: flex;
  flex-direction: column;
}

/* El contenedor principal debe ocupar el espacio disponible */
.body {
  flex: 1;
  display: flex;
  flex-direction: column;
  
}

/* El contenedor interno también debe ocupar todo el espacio disponible */
.body .container {
  flex: 1;
}


.loading-screen {
  display: none; /* Inicialmente oculto */
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5); /* Fondo semi-transparente */
  z-index: 1000; /* Asegurar que esté por encima de otros elementos */
  display: flex;
  justify-content: center;
  align-items: center;
}

.loader {
  border: 16px solid #E1251B; /* Color de fondo del spinner */
  border-top: 16px solid #3498db; /* Color de la parte superior del spinner */
  border-radius: 50%;
  width: 120px;
  height: 120px;
  animation: spin 2s linear infinite; /* Animación de giro */
}

/* Definición de la animación de giro */
@keyframes spin {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}


.spinner {
  border: 4px solid rgba(0, 0, 0, 0.1);
  width: 36px;
  height: 36px;
  border-radius: 50%;
  border-left-color: #E1251B;
  animation: spin 1s ease infinite;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}




.header {
  background: #ffffff;
  padding: 0px 0px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.login {
  -webkit-box-shadow: 0px 3px 5px 4px rgb(0 0 0 / 30%);
  -moz-box-shadow: 0px 3px 5px 4px rgb(0 0 0 / 30%);
  box-shadow: 0px 3px 5px 4px rgb(0 0 0 / 30%);
  border-radius: 5px;
  padding: 20px;
  height: 100%;
  width: 40%;
}

.titulo_ingreso {
  font-weight: 700;
  font-size: 25px;
  color: #000000;
}

#btn_administrado {
  text-align: right;
  padding-right: 1px !important;
}

#btn_funcionario {
  text-align: left;
  padding-left: 1px !important;
}

.span-administrado {
  font-size: 15px;
  padding: 7px 54px;
  font-weight: 500;
  background: #e4e4e4b8;
  color: #a2a1a1;
  cursor: pointer;
}

.cursor-pointer{
  cursor: pointer;
  text-decoration: none !important;
}

.span-funcionario {
  font-size: 15px;
  padding: 7px 56px;
  font-weight: 500;
  background: #e4e4e4b8;
  color: #a2a1a1;
  cursor: pointer;
}

.activo-tipo-usuario {
  background: #044799 !important;
  color: #fff !important;
}

#form_logueo {
  margin-top: 40px;
}

#form_logueo_funcionario {
  margin-top: 40px;
}

.form-control-label {
  font-size: 14px;
  font-weight: 600;
  color: #525f7f
}

.form-control-contra {
  font-size: 15px;
  line-height: 1.5;
  display: block;
  width: 90%;
  height: 70%;
  padding: .625rem .75rem;
  transition: all .2s cubic-bezier(.68,-.55,.265,1.55);
  color: #000;
  border: 1px solid #cad1d7;
  background-color: #fff;
  background-clip: padding-box;
  box-shadow: none;
}

.form-control-login {
  font-size: 15px;
  line-height: 1.5;
  display: block;
  width: 100%;
  height: 70%;
  padding: .625rem .75rem;
  transition: all .2s cubic-bezier(.68,-.55,.265,1.55);
  color: #000;
  border: 1px solid #cad1d7;
  background-color: #fff;
  background-clip: padding-box;
  box-shadow: none;
}

.form-control-registro {
  font-size: 15px;
  line-height: 1.5;
  display: block;
  width: 100%;
  height: 70%;
  padding: .625rem .75rem;
  transition: all .2s cubic-bezier(.68,-.55,.265,1.55);
  color: #000;
  border: 1px solid #cad1d7;
  background-clip: padding-box;
  box-shadow: none;
}

.content-login {
  padding: 0px 0px;
}

.span-inicio-sesion {
  font-size: 15px;
  padding: 7px 50px;
  font-weight: 500;
  background: #E1251B;
  color: #ffffff;
  cursor: pointer;
}
.span-inicio-sesion1 {
  font-size: 15px;
  padding: 7px 50px;
  font-weight: 500;
  background: #E1251B;
  color: #ffffff;
  cursor: pointer;
}

.btn-cancelar {
  font-size: 15px;
  padding: 7px 62px;
  font-weight: 500;
  background: #878787;
  color: #ffffff;
  cursor: pointer;
}

.modal {
  /* display: none !important; Oculto por defecto */
  position: fixed !important; /* Manténlo en su lugar */
  z-index: 1 !important; /* Sitúalo encima */
  left: 0;
  top: 0;
  width: 100%; /* Ancho completo */
  height: 100%; /* Altura completa */
  overflow: auto !important; /* Habilita el desplazamiento si es necesario */
  background-color: rgb(0,0,0); /* Color de fondo negro */
  background-color: rgba(0,0,0,70%); /* Con opacidad */
}


/* Estilo para el contenido del modal */
.modal-content-re {
  background-color: #fefefe;
  margin: 5% auto; /* 15% desde la parte superior y centrado */
  padding: 20px;
  border: 1px solid #888;
  width: 70%; /* Puede ajustar esto para el tamaño del modal */
}

.modal-content-rc {
  background-color: #fefefe;
  margin: 5% auto; /* 15% desde la parte superior y centrado */
  padding: 20px;
  border: 1px solid #888;
  width: 40%; /* Puede ajustar esto para el tamaño del modal */
}

.modal-content-me {
  background-color: #fefefe;
  margin: 5% auto; /* 15% desde la parte superior y centrado */
  padding: 20px;
  border: 1px solid #888;
  width: 80%; /* Puede ajustar esto para el tamaño del modal */
}

/* Estilo para el botón de cierre */
.close {
  color: #000000;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

  .close:hover,
  .close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
  }


#btn_pn_modal {
  text-align: right;
}

#btn_pj_modal {
  text-align: center;
}

#btn_ep_modal {
  text-align: left;
}

.span-pn_modal {
  font-size: 15px;
  padding: 7px 35px;
  font-weight: 500;
  background: #D6F2F9;
  color: #a2a1a1;
  cursor: pointer;
}
.btn-login {
  cursor: pointer; /* cambia a mano cuando pasas el mouse */
  color: white;
}

.links a,
.manual-links a {
  cursor: pointer; /* lo mismo para los otros enlaces */
}
.span-pj_modal {
  font-size: 15px;
  padding: 7px 33px;
  font-weight: 500;
  background: #D6F2F9;
  color: #a2a1a1;
  cursor: pointer;
}

.text-danger {
  color: #FF0000!important;
}
.span-ep_modal {
  font-size: 15px;
  padding: 7px 36px;
  font-weight: 500;
  background: #e4e4e4b8;
  color: #a2a1a1;
  cursor: pointer;
}

.progress-bar-login {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 50px;
  font-size: 15px;
  margin-bottom: 30px;
}

.step {
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
}

  .step .icon {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    background-color: #ddd;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 20px;
  }

  .step.active .icon {
    background-color: #E1251B;
    color: white;
  }

  .step span {
    margin-top: 5px;
  }

.line {
  height: 2px;
  width: 50px;
  background-color: #ddd;
}

.step.active + .line {
  background-color: #E1251B;
}

.valid_contrasena {
  padding: 5px;
  border: 1px solid #bfbdbd;
  width: 5px;
  background: #ccc;
  border-radius: 6px;
  margin-top: 4px;
  position: absolute;
}

.valid_contrasena_activar {
  padding: 5px;
  border: 1px solid #55b943;
  width: 5px;
  background: #55b943;
  border-radius: 6px;
  margin-top: 4px;
  position: absolute;
}

.file-input-wrapper {
  position: relative;
  display: inline-block;
  cursor: pointer;
}

.file-input-wrapper input[type="file"] {
  position: absolute;
  opacity: 0;
  width: 100%;
  height: 100%;
  cursor: pointer;
}

.custom-file-button {
  padding: 10px 20px;
  background-color: #007bff;
  color: #fff;
  border: none;
  border-radius: 5px;
  font-size: 16px;
  cursor: pointer;
  text-align: center;
  display: inline-block;
}

.custom-file-button:hover {
  background-color: #0056b3;
}

.file-name {
  margin-top: 10px;
  font-size: 14px;
  color: #333;
}

.logo_casilla{
  width:50%
}

.logo_mintra{
  padding-top: 10px;
  width: 60%;
}
.boton_siguiente{
  text-align: right;
}

.logo_mintra_finalizar{
  width: 25%;
}

@media screen and (max-width: 1200px) {
  .login {
    width: 55%;
  }
}
@media screen and (max-width: 1024px) {

  .modal-content-rc {
    width: 50%;
  }
  
}
@media screen and (max-width: 768px) {
  .logo_mintra_finalizar{
    width: 40%;
  }
  .login {
    width: 80%;
  }
  .container{
    margin-right: 0px !important;
    margin-left: 0px !important;
  }
  .logo_casilla{
    width: 70%;
  }
  .logo_mintra{
    width: 80%;
  }
  .modal-content-rc {
    width: 60%;
  }
  .modal-content-re {
    width: 80%;
  }
  .span-pn_modal {
    padding: 7px 25px;
  }
  .span-pj_modal {
    padding: 7px 25px;
  }
  .span-ep_modal {
    padding: 7px 25px;
  }
  .content-ruc{
    width: 100%;
  }
}



@media screen and (max-width: 642px) {
  .login {
    width: 100%;
  }
  .modal-content-rc {
    width: 70%;
  }
 
}

@media screen and (max-width: 425px) {
  .logo_mintra_finalizar{
    width: 60%;
  }
  .span-pn_modal {
    padding: 7px 35px;
  }
  .span-pj_modal {
    padding: 7px 33px;
  }
  .span-ep_modal {
    padding: 7px 36px;
  }
  .logo_casilla{
    width: 90%;
  }
  .logo_mintra{
    width: 100%;
  }
  .modal-content-rc {
    width: 98%;
  }
  .modal-content-re {
    width: 98%;
  }
  .boton_registro{
    text-align: center;
  }
  .boton_registro2{
    margin-bottom: 20px;
  }
  .boton_siguiente{
    text-align: center;
  }
  .span-inicio-sesion{
    padding: 7px 61px;
  }
  .span-inicio-sesion1{
    padding: 7px 42px;
  }
  #btn_pn_modal{
    text-align: center;
    margin-bottom: 20px;
  }
  #btn_pj_modal{
    text-align: center;
    margin-bottom: 20px;
  }
  #btn_ep_modal{
    text-align: center;
  }
  #btn_administrado{
    text-align: center;
    margin-bottom: 20px;
    padding-right: 15px !important;
  }
  #btn_funcionario{
    text-align: center;
    padding-left: 15px !important;
  }
  .span-funcionario {
    padding: 7px 60px;
  }

}
body.high-contrast {
  filter: invert(100%) hue-rotate(180deg);
}

body.grayscale {
  filter: grayscale(100%);
}

body.purple-filter {
  filter: contrast(1.2) brightness(0.9) sepia(1) hue-rotate(260deg) saturate(3);
}

body.soft-contrast {
  filter: contrast(1.2);
}